Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Interface ResourceAdapterMetaData

public interface ResourceAdapterMetaData

The interface `javax.resource.cci.ResourceAdapterMetaData` provides information about capabilities of a resource adapter implementation. Note that this interface does not provide information about an EIS instance that is connected through the resource adapter.

A CCI client uses a `ConnectionFactory.getMetaData` to get metadata information about the resource adapter. The `getMetaData` method does not require that an active connection to an EIS instance should have been established.

The ResourceAdapterMetaData can be extended to provide more information specific to a resource adapter implementation.

Since:
  0.8
Version:
  0.8
Author:
  Rahul Sharma
See Also:
  `ConnectionFactory`

Method Summary
`java.lang.String` | `getAdapterName()` Gets a tool displayable name of the resource adapter.
`java.lang.String` | `getAdapterShortDescription()` Gets a tool displayable short desription of the resource adapter.
`java.lang.String` | `getAdapterVendorName()` Gets the name of the vendor that has provided the resource adapter.
`java.lang.String` | `getAdapterVersion()` Gets the version of the resource adapter.
`java.lang.String[]` | `getInteractionSpecsSupported()` Returns an array of fully-qualified names of InteractionSpec types supported by the CCI implementation for this resource adapter.
`java.lang.String` | `getSpecVersion()` Returns a string representation of the version of the connector architecture specification that is supported by the resource adapter.
`boolean` | `supportsExecuteWithInputAndOutputRecord()` Returns true if the implementation class for the Interaction interface implements public boolean execute(InteractionSpec ispec, Record input, Record output) method; otherwise the method returns false.
`boolean` | `supportsExecuteWithInputRecordOnly()` Returns true if the implementation class for the Interaction interface implements public Record execute(InteractionSpec ispec, Record input) method; otherwise the method returns false.
`boolean` | `supportsLocalTransactionDemarcation()` Returns true if the resource adapter implements the LocalTransaction interface and supports local transaction demarcation on the underlying EIS instance through the LocalTransaction interface.

Method Detail

### getAdapterVersion

    public java.lang.String getAdapterVersion()

  Gets the version of the resource adapter.

  Returns:
    String representing version of the resource adapter

### getAdapterVendorName

    public java.lang.String getAdapterVendorName()

  Gets the name of the vendor that has provided the resource adapter.

  Returns:
    String representing name of the vendor that has provided the resource adapter

### getAdapterName

    public java.lang.String getAdapterName()

  Gets a tool displayable name of the resource adapter.

  Returns:
    String representing the name of the resource adapter

### getAdapterShortDescription

    public java.lang.String getAdapterShortDescription()

  Gets a tool displayable short desription of the resource adapter.

  Returns:
    String describing the resource adapter

### getSpecVersion

    public java.lang.String getSpecVersion()

  Returns a string representation of the version of the connector architecture specification that is supported by the resource adapter.

  Returns:
    String representing the supported version of the connector architecture

### getInteractionSpecsSupported

    public java.lang.String[] getInteractionSpecsSupported()

  Returns an array of fully-qualified names of InteractionSpec types supported by the CCI implementation for this resource adapter. Note that the fully-qualified class name is for the implementation class of an InteractionSpec. This method may be used by tools vendor to find information on the supported InteractionSpec types. The method should return an array of length 0 if the CCI implementation does not define specific InteractionSpec types.

  Returns:
    Array of fully-qualified class names of InteractionSpec classes supported by this resource adapter's CCI implementation
  See Also:
    `InteractionSpec`

### supportsExecuteWithInputAndOutputRecord

    public boolean supportsExecuteWithInputAndOutputRecord()

  Returns true if the implementation class for the Interaction interface implements public boolean execute(InteractionSpec ispec, Record input, Record output) method; otherwise the method returns false.

  Returns:
    boolean depending on method support
  See Also:
    `Interaction`

### supportsExecuteWithInputRecordOnly

    public boolean supportsExecuteWithInputRecordOnly()

  Returns true if the implementation class for the Interaction interface implements public Record execute(InteractionSpec ispec, Record input) method; otherwise the method returns false.

  Returns:
    boolean depending on method support
  See Also:
    `Interaction`

### supportsLocalTransactionDemarcation

    public boolean supportsLocalTransactionDemarcation()

  Returns true if the resource adapter implements the LocalTransaction interface and supports local transaction demarcation on the underlying EIS instance through the LocalTransaction interface.

  Returns:
    true if resource adapter supports resource manager local transaction demarcation through LocalTransaction interface; false otherwise
  See Also:
    `LocalTransaction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.